Lua_InfinityHallDailyRewardWindow = class("Lua_InfinityHallDailyRewardWindow", Lua_Window);
function Lua_InfinityHallDailyRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_InfinityHallDailyRewardWindow";
	self.skinName = "InfinityHallDailyRewardWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_InfinityHallDailyRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_ItemIconList.new(self.content)
	self.itemList.canClick = true;

	self.btnFunc:addClickFuntion(self, self.onBtnFuncClick);
	self:updateShowInfo();
end

function Lua_InfinityHallDailyRewardWindow:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_InfinityHallDailyRewardWindow:updateShowInfo()
	local id = DataCenter.infinityHallData.daily_stage_id;
	local config = DataCenter.infinityHallUtil:getLayerConfig(id);
	if DataCenter.infinityHallData.curType == 1 then
		self.promptText.text = LanUtil.formateStr(304030, LanUtil.getValue(304027), tostring(config.floor));
	else
		self.promptText.text = LanUtil.formateStr(304030, LanUtil.getValue(304028), tostring(config.floor));
	end
	self.itemList:setArrayData(config.daily_reward);

	if DataCenter.infinityHallData.draw_state == 0 then
		self.btnFunc:setStyle(1);
		self.btnFunc:setLangValue(304032);
	elseif DataCenter.infinityHallData.draw_state == 1 then
		self.btnFunc:setStyle(1);
		self.btnFunc:setLangValue(304033);
	else
		self.btnFunc:setStyle(3);
		self.btnFunc:setLangValue(304034);
	end
end

function Lua_InfinityHallDailyRewardWindow:onBtnFuncClick(go)
	if DataCenter.infinityHallData.draw_state == 1 then
		Lua_ProxyManager.getProxy("Lua_InfinityHallProxy"):sReceiveDailyReward();
	end
	self:hide();
end