Lua_InfinityHallLayerItem = class("Lua_InfinityHallLayerItem", Lua_ListCell);
function Lua_InfinityHallLayerItem:ctor(p)
	self:superCall("ctor", p, "InfinityHallLayerItem_skin");
end

function Lua_InfinityHallLayerItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_InfinityHallLayerItem:dispose()
	if self.redPoint then
		self.redPoint:dispose();
		self.redPoint = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end

function Lua_InfinityHallLayerItem:setData(data)
	self.data = data;

	self.layerText.text = LanUtil.formateStr(304001, tostring(data.id));
	local max_round = DataCenter.infinityHallUtil:getConstConfig("max_round", 1, 0);
	self.stateBg:setEnable(false);
	if data.state == 1 then
		self.stateIcon:setAltas("infinity_hall_altas", "ui_wqzd_button_004_n");
		self.roundText.text = LanUtil.formateStr(304003, tostring(data.round), tostring(max_round));
	elseif data.state == 2 then
		self.stateIcon:setAltas("infinity_hall_altas", "ui_wqzd_button_005_n");
		self.roundText.text = LanUtil.formateStr(304003, tostring(max_round), tostring(max_round));
	else
		self.stateIcon:setAltas("infinity_hall_altas", "ui_wqzd_button_003_n");
		self.roundText:setLangValue(304002);
		self.stateBg:setEnable(true);
		self.stateBg:setAltas("infinity_hall_altas", "ui_wqzd_window_004");
		self.stateBg:setAlpha(0.5);
	end
	self.stateIcon:resetSize();

	self:updateRedPoint();
end

function Lua_InfinityHallLayerItem:updateRedPoint()
	if self.data then
		local arr = self.data.rewardArr;
		local state = 0;
		for i = 1, arr:getSize() do
			state = DataCenter.infinityHallData:getRewardState(arr[i].id);
			if state == 1 then
				break;
			end
		end
		self:showRedDot(state == 1);
	else
		self:showRedDot(false);
	end
end

function Lua_InfinityHallLayerItem:showRedDot(value)
	if value then
		if self.redPoint == nil then
			self.redPoint = Lua_RedPointIcon.new(self.content);
			self.redPoint:setLocation(328, 55, 0);
			self.redPoint:createRedPointEff();
		end
		self.redPoint:updateRedPointShow(true);
	else
		if self.redPoint then
			self.redPoint:updateRedPointShow(false);
		end
	end
end

function Lua_InfinityHallLayerItem:onSelectionChange(bSelect)
	self:superCall("onSelectionChange", bSelect);
	if bSelect then
		if self.selectedBg == nil then
			self.selectedBg = UICreate.createUIAtlasImage(self.content, "infinity_hall_altas", "ui_wqzd_window_008", 0, 1.8, 700, 147);
		end
		self.selectedBg:setEnable(true);
	else
		if self.selectedBg ~= nil then
			self.selectedBg:setEnable(false);
		end
	end
end

function Lua_InfinityHallLayerItem:onPressClick()
	if self.data == nil or self.data.state == 0 then
		OperateAlert.showLangValue(304004);
		return false;
	end
	Lua_ProxyManager.getProxy("Lua_InfinityHallProxy"):sSingleRewardInfo(self.data.layerType, self.data.id);
	return true;
end