Lua_InfinityHallTurnonWindow = class("Lua_InfinityHallTurnonWindow", Lua_Window);
function Lua_InfinityHallTurnonWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_InfinityHallTurnonWindow";
	self.skinName = "InfinityHallTurnonWindow_skin";
	self.showWinBg = true;
	self.winBgPath = "";
	self.winBgPosX = 0;
	self.winBgPosY = 23;
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_InfinityHallTurnonWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.btnGoto:addClickFuntion(self, self.onBtnGotoClick);

	self:updateShowInfo();
	self:addLuaEvent("INFINITYHALL_INFO", self, self.updateServerInfo);
	Lua_ProxyManager.getProxy("Lua_InfinityHallProxy"):sInfinityHall(0);
end

function Lua_InfinityHallTurnonWindow:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_InfinityHallTurnonWindow:updateShowInfo()
	self.itemList = Lua_ItemIconList.new(self.content);
	self.itemList:setLocation(0, -200, 0);
	self.itemList.canClick = true;

	local reward = DataCenter.infinityHallUtil:getConstConfig("preview_reward", 4);
	self.itemList:setArrayData(reward);
end

function Lua_InfinityHallTurnonWindow:updateServerInfo()
	if DataCenter.infinityHallData.curType == 1 then
		self.winBg:setUrl("/images/infinity_hall/ui_wqzd_window_001.png");
	else
		self.winBg:setUrl("/images/infinity_hall/ui_wqzd_window_002.png");
	end
end

function Lua_InfinityHallTurnonWindow:onBtnGotoClick(go)
	Lua_WindowUtil.openWin("Lua_InfinityHallWindow", Lua_WinParam.ACTION_OPEN);
	self:hide();
end