Lua_InfinityHallBuffWindow = class("Lua_InfinityHallBuffWindow", Lua_Window);
function Lua_InfinityHallBuffWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_InfinityHallBuffWindow";
	self.skinName = "InfinityHallBuffWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_InfinityHallBuffWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 622, 543, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -35, 0);
	self.itemList:setListCell(Lua_InfinityHallBuffItem, 622, 125, 1);

	self:addLuaEvent("INFINITYHALL_FIGHT_BUFF", self, self.updateShowInfo);
	Lua_ProxyManager.getProxy("Lua_InfinityHallProxy"):sCheckFightBuff();
end

function Lua_InfinityHallBuffWindow:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_InfinityHallBuffWindow:updateShowInfo(msg)
	if msg == nil then
		return;
	end
	self.itemList:setArrayData(msg.skill_list);
end




















Lua_InfinityHallBuffItem = class("Lua_InfinityHallBuffItem", Lua_ListCell);
function Lua_InfinityHallBuffItem:ctor(p)
	self:superCall("ctor", p, "InfinityHallBuffItem_skin");
end

function Lua_InfinityHallBuffItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_InfinityHallBuffItem:dispose()
	self:superCall("dispose");
end

function Lua_InfinityHallBuffItem:setData(data)
	if data == nil then
		return;
	end
	
	local config = Lua_SkillConfigData.getConfigData(data);
	if config ~= nil then
		self.icon:setAltas(config.atlas, config.sprite);
		self.icon:resetSize();
		self.nameText.text = config.name;
		self.desText.text = config.des;
	end
end