Lua_InfinityHallRankWindow = class("Lua_InfinityHallRankWindow", Lua_Window);
function Lua_InfinityHallRankWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_InfinityHallRankWindow";
	self.skinName = "InfinityHallRankWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_InfinityHallRankWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 623, 320, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -72.5, 0);
	self.itemList:setListCell(Lua_InfinityHallRankCell, 623, 108, 1);
	self.itemList:setCellSpacing(0, 5);

	self.btnInfo = Array();
	self.btnInfo:add({ textStr = LanUtil.getValue(304027) });
	self.btnInfo:add({ textStr = LanUtil.getValue(304028) });

	self.buttonList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal);
	self.buttonList:setLocation(0, -436, 0);
	self.buttonList:setButtonStyle("common_altas_1", "ui_common_tab_02", "ui_common_tab_02", 344, 71, 0.01, 1);
	self.buttonList:setButtonText(1, 6, "5C504B", "8B5E34", 30, 30, Lua_MyUISettings.huakangFontName, UnityEngine.FontStyle.Normal);
	self.buttonList:setButtonLine("common_altas_1", "ui_common_line_013", 0, 0, 0, -6);
	self.buttonList:setButtonItem(324, 71);
	self.buttonList:setClickCallBack(self, self.onButtonClick);
	self.buttonList:setData(self.btnInfo);

	self:addLuaEvent("INFINITYHALL_RANK_INFO", self, self.updateShowInfo);
end

function Lua_InfinityHallRankWindow:dispose()
	if self.topRankArr ~= nil then
		self.topRankArr:dispose();
		self.topRankArr:clear();
		self.topRankArr = nil;
	end
	if self.rankItem ~= nil then
		self.rankItem:dispose();
		self.rankItem = nil;
	end
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	if self.buttonList ~= nil then
		self.buttonList:dispose();
		self.buttonList = nil;
	end
	if self.btnInfo ~= nil then
		self.btnInfo:clear();
		self.btnInfo = nil;
	end
	self:superCall("dispose");
end

function Lua_InfinityHallRankWindow:showWin(param)
	self:superCall("showWin", param);
	self.buttonList:setSelected(param);
end

function Lua_InfinityHallRankWindow:onButtonClick(index)
	Lua_ProxyManager.getProxy("Lua_InfinityHallProxy"):sRankInfo(index);
end

function Lua_InfinityHallRankWindow:updateShowInfo(msg)
	if msg == nil then
		return;
	end

	local arr = Array();
	local len = 3;
	local info;
	while len > 0 do
		info = table.remove(msg.rank_list, 1);
		if info ~= nil then
			arr:add(info);
		end
		len = len - 1;
	end

	if self.topRankArr == nil then
		self.topRankArr = Array();
	end
	local posDic = {{1, 274}, {-204, 266}, {206, 266}};
	local item;
	for i = 1, 3 do
		item = self.topRankArr[i];
		if item == nil then
			item = Lua_InfinityHallRankItem.new(self.content);
			self.topRankArr:add(item);
		end
		item:setLocation(posDic[i][1], posDic[i][2]);
		item:setData(i, arr[i]);
	end

	self.itemList:setArrayData(msg.rank_list);

	if self.rankItem == nil then
		self.rankItem = Lua_InfinityHallRankCell.new(self.content);
		self.rankItem:setLocation(0, -335, 0);
	end
	self.rankItem:setData(msg.self_rank);
end




















Lua_InfinityHallRankItem = class("Lua_InfinityHallRankItem", Lua_ListCell);
function Lua_InfinityHallRankItem:ctor(p)
	self:superCall("ctor", p, "InfinityHallRankItem_skin");
end

function Lua_InfinityHallRankItem:buildShowItem()
	self:superCall("buildShowItem");

	self.avatarItem = Lua_AvatarItem.new(self.content);
	self.avatarItem:setLocation(0, 0, 0);
	self.avatarItem:setScale(0.8, 0.8, 1);
end

function Lua_InfinityHallRankItem:dispose()
	if self.avatarItem ~= nil then
		self.avatarItem:dispose();
		self.avatarItem = nil;
	end
	self:superCall("dispose");
end

function Lua_InfinityHallRankItem:setData(rank, data)
	if rank == 1 then
		self.nameText:setLocation(0, -110, 0);
		self.layerText:setLocation(0, -137.5, 0);
	else
		self.nameText:setLocation(0, -105, 0);
		self.layerText:setLocation(0, -132.5, 0);
	end

	if rank == 1 then
		self.layerText.effectColorStr = Lua_ColorDefine.transColorStr("BE9565");
	elseif rank == 2 then
		self.layerText.effectColorStr = Lua_ColorDefine.transColorStr("767B85");
	else
		self.layerText.effectColorStr = Lua_ColorDefine.transColorStr("A1827A");
	end

	if data == nil then
		self.avatarItem:setEnable(false);
		self.nameText:setLangValue(304037);
		self.layerText.text = nil;
	else
		self.avatarItem:setEnable(true);
		self.avatarItem:setRoleDressUp(data.player_show.dress_info);
		self.avatarItem:setRoleLevel(data.player_show.level);

		self.nameText.text = data.player_show.name;
		self.layerText.text = LanUtil.formateStr(304000, tostring(data.value), tostring(data.sub_value));
	end
end




















Lua_InfinityHallRankCell = class("Lua_InfinityHallRankCell", Lua_ListCell);
function Lua_InfinityHallRankCell:ctor(p)
	self:superCall("ctor", p, "InfinityHallRankCell_skin");
end

function Lua_InfinityHallRankCell:buildShowItem()
	self:superCall("buildShowItem");

	self.rankNum = Lua_NumberImage.new(self.content);
	self.rankNum:setLocation(-255, 0, 0);
	self.rankNum.pivot = 0;
	self.rankNum.numAtlas = "number"
	self.rankNum.preStr = "ui_djc_title_0";

	self.avatarItem = Lua_AvatarItem.new(self.content);
	self.avatarItem:setLocation(-138, 0, 0);
	self.avatarItem:setScale(0.7, 0.7, 1);
end

function Lua_InfinityHallRankCell:dispose()
	if self.rankNum ~= nil then
		self.rankNum:dispose();
		self.rankNum = nil;
	end
	if self.avatarItem ~= nil then
		self.avatarItem:dispose();
		self.avatarItem = nil;
	end
	self:superCall("dispose");
end

function Lua_InfinityHallRankCell:setData(data)
	if data == nil then
		return;
	end

	if data.rank <= 0 then
		self.rankIcon:setEnable(true);
		self.rankNum.num = nil;
	else
		self.rankIcon:setEnable(false);
		self.rankNum.num = data.rank;
	end

	self.avatarItem:setRoleDressUp(data.player_show.dress_info);
	self.avatarItem:setRoleLevel(data.player_show.level);

	self.nameText.text = data.player_show.name;
	self.layerText.text = LanUtil.formateStr(304000, tostring(data.value), tostring(data.sub_value));
end