-- 首通奖励
Lua_InfinityHallRewardWindow = class("Lua_InfinityHallRewardWindow", Lua_Window);
function Lua_InfinityHallRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_InfinityHallRewardWindow";
	self.skinName = "InfinityHallRewardWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_InfinityHallRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 618, 625, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -60, 0);
	self.itemList.tweenId = 2031;
	self.itemList.delayTween = true;
	self.itemList:setListCell(Lua_InfinityHallRewardItem, 618, 128, 1);
	self.itemList:setCellSpacing(0, 10);

	self.btnInfo = Array();
	self.btnInfo:add({ textStr = LanUtil.getValue(304027), redPointId = Lua_RedPointList.InfinityHall_Reward_Single });
	self.btnInfo:add({ textStr = LanUtil.getValue(304028), redPointId = Lua_RedPointList.InfinityHall_Reward_Team });

	self.buttonList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal);
	self.buttonList:setLocation(0, -436, 0);
	self.buttonList:setButtonStyle("common_altas_1", "ui_common_tab_02", "ui_common_tab_02", 344, 71, 0.01, 1);
	self.buttonList:setButtonText(1, 6, "5C504B", "8B5E34", 30, 30, Lua_MyUISettings.huakangFontName, UnityEngine.FontStyle.Normal);
	self.buttonList:setButtonLine("common_altas_1", "ui_common_line_013", 0, 0, 0, -6);
	self.buttonList:setRedPoint(145, 22.5);
	self.buttonList:setButtonItem(324, 71);
	self.buttonList:setClickCallBack(self, self.onButtonClick);
	self.buttonList:setData(self.btnInfo);

	self:addLuaEvent("INFINITYHALL_REWARD", self, self.updateShowInfo);
end

function Lua_InfinityHallRewardWindow:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	if self.buttonList ~= nil then
		self.buttonList:dispose();
		self.buttonList = nil;
	end
	if self.btnInfo ~= nil then
		self.btnInfo:clear();
		self.btnInfo = nil;
	end
	self:superCall("dispose");
end

function Lua_InfinityHallRewardWindow:showWin(param)
	self:superCall("showWin", param);
	self.buttonList:setSelected(param);
end

function Lua_InfinityHallRewardWindow:onButtonClick(index)
	self.bRefresh = true;
	self.curType = index;
	Lua_ProxyManager.getProxy("Lua_InfinityHallProxy"):sRewardInfo(index);
end

function Lua_InfinityHallRewardWindow:updateShowInfo()
	local data = DataCenter.infinityHallData:getTypeInfo(self.curType);
	local index;
	local arr;
	local state;
	for i = 1, data.layerArr:getSize() do
		arr = data.layerArr[i].rewardArr;
		for j = 1, arr:getSize() do
			state = DataCenter.infinityHallData:getRewardState(arr[j].id);
			if state == 1 then
				index = i;
				break;
			end
		end
		if index ~= nil then
			break;
		end
	end
	index = index == nil and 1 or index;
	if self.bRefresh then
		self.itemList.showTween = true;
	end
	self.itemList:setArrayData(data.layerArr);
	self.itemList:moveToIndex(index, true, false);
	self.bRefresh = false;
end




















Lua_InfinityHallRewardItem = class("Lua_InfinityHallRewardItem", Lua_ListCell);
function Lua_InfinityHallRewardItem:ctor(p)
	self:superCall("ctor", p, "InfinityHallRewardItem_skin");
end

function Lua_InfinityHallRewardItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_InfinityHallRewardItem:dispose()
	if self.rewardArr ~= nil then
		self.rewardArr:dispose();
		self.rewardArr:clear();
		self.rewardArr = nil;
	end
	self:superCall("dispose");
end

function Lua_InfinityHallRewardItem:setData(data)
	if data == nil then
		return;
	end

	self.layerText.text = LanUtil.formateStr(304001, tostring(data.id));
	self.stateIcon:setEnable(data.state == 1);

	local round = -1;
	if self.rewardArr == nil then
		self.rewardArr = Array();
	end
	local len = self.rewardArr:getSize();
	local dataLen = data.rewardArr:getSize();
	local maxLen = dataLen > len and dataLen or len;
	local item;
	local state;
	for i = 1, maxLen do
		item = self.rewardArr[i];
		if i > dataLen then
			if item ~= nil then
				item:setEnable(false);
			end
		else
			if item == nil then
				item = Lua_InfinityHallSingleRewardItem.new(self.content);
				self.rewardArr:add(item);
			else
				item:setEnable(true);
			end
			item:setLocation(-177.5 + i * 136, 0, 0);
			item:setScale(1, 1);
			item:setData(data.rewardArr[i]);

			state = DataCenter.infinityHallData:getRewardState(data.rewardArr[i].id);
			if round == -1 and state == 0 then
				round = data.rewardArr[i].round;
			end
		end
	end

	if data.state == 0 then
		local typeVo = DataCenter.infinityHallData:getTypeInfo(data.layerType);
		self.prompt.text = LanUtil.formateStr(304014, tostring(data.id - typeVo.cur_floor));
	elseif data.state == 1 then
		if round > 0 then
			self.prompt.text = LanUtil.formateStr(304013, tostring(round));
		else
			self.prompt.text = nil;
		end
	else
		self.prompt.text = nil;
	end
end

function Lua_InfinityHallRewardItem:onPressClick()
	if self.rewardArr == nil then
		return;
	end

	local winPos = LuaUtil.getTouchPosInverseObj(self.content);
	for i = 1, self.rewardArr:getSize() do
		if self.rewardArr[i].isActive and self.rewardArr[i]:checkInBound(winPos.x, winPos.y) then
			self.rewardArr[i]:onClick();
		end
	end
end