Lua_InfinityHallMySupportPanel = class("Lua_InfinityHallMySupportPanel", Lua_DisplayObject);
function Lua_InfinityHallMySupportPanel:ctor(p)
	self:superCall("ctor", p, "InfinityHallMySupportPanel_skin");
end

function Lua_InfinityHallMySupportPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 622, 510, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -118, 0);
	self.itemList.tweenId = 2031;
	self.itemList:setListCell(Lua_InfinityHallMySupportItem, 622, 141, 1);
	self.itemList:setCellSpacing(0, 5);

	self.checkHelp:addClickFuntion(self, self.onCheckHelp);
	
	self:addLuaEvent("INFINITYHALL_SURROPT_HREO", self, self.updateShowInfo);
	self:updateShowInfo();
end

function Lua_InfinityHallMySupportPanel:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	if self.supportItem ~= nil then
		self.supportItem:dispose();
		self.supportItem = nil;
	end
	self.supportIcon = nil;
	self:superCall("dispose");
end

function Lua_InfinityHallMySupportPanel:updateShowInfo()
	local uidArr = DataCenter.heroData.allHeroUidArr;
	local arr = Array();
	for i = 1, uidArr:getSize() do
		arr:add(uidArr[i])
	end
	local set_hero = DataCenter.infinityHallData.set_hero;
	if set_hero == nil or tonumber(set_hero.unique_id) <= 0 then
		self:showNone(true)
		self.checkHelp:setEnable(true);
		if self.supportItem ~= nil then
			self.supportItem:setEnable(false);
		end
		if self.supportIcon ~= nil then
			self.supportIcon:setEnable(false);
		end
	else
		self:showNone(false)
		self.checkHelp:setEnable(false);

		local uniqueId = tonumber(set_hero.unique_id);
		if self.supportItem == nil then
			self.supportItem = Lua_InfinityHallMySupportItem.new(self.content);
			self.supportItem:setLocation(0, 230, 0);
		end
		self.supportItem:setEnable(true);
		self.supportItem:setData(uniqueId, LanUtil.getValue(304021));

		if self.supportIcon == nil then
			self.supportIcon = UICreate.createUIAtlasImage(self.content, "infinity_hall_altas", "ui_wqzd_label_01", -255, 300, 0, 0);
		end
		self.supportIcon:setEnable(true);

		arr:removeItem(uniqueId);
	end

	self:heroSort(arr);
	self.itemList:setArrayData(arr);
end

function Lua_InfinityHallMySupportPanel:heroSort(arr)
	local len = arr:getSize();
	local vo_a;
	local vo_b;
	local temp;
	for i = 1, len do
		for j = i + 1, len do
			vo_a = DataCenter.heroData:getItemByUniqueId(arr[i]);
			vo_b = DataCenter.heroData:getItemByUniqueId(arr[j]);
			if vo_a.heroForce < vo_b.heroForce then
				temp = arr[i];
				arr[i] = arr[j];
				arr[j] = temp;
			end
		end
	end
end

function Lua_InfinityHallMySupportPanel:showNone(bShow)
	if bShow then
		if self.noneIcon == nil then
			self.noneIcon = UICreate.createUIAtlasImage(self.content, "common_altas_3", "ui_liaotian_widget_002", 0, 234.5, 648, 119);
			self.noneIcon:setScale(0.85, 0.85, 0.85)
		end
		self.noneIcon:setEnable(true);

		if self.noneText == nil then
			self.noneText = UICreate.createLabel(self.content, LanUtil.getValue(304036), 0, 234.5, 100, 40, 30);
			self.noneText.pivot = UIUtils.Pivot.Center;
			self.noneText.fontName = Lua_MyUISettings.huakangFontName;
			self.noneText.alignmentValue = 4;
			self.noneText.horizontalOverflowValue = 1;
			self.noneText.colorStr = Lua_ColorDefine.transColorStr("9F928C");
		end
		self.noneText:setEnable(true);
	else
		if self.noneIcon then
			self.noneIcon:setEnable(false);
		end
		if self.noneText then
			self.noneText:setEnable(false);
		end
	end
end

function Lua_InfinityHallMySupportPanel:onCheckHelp(go)
	local tipsData = { posX = 165, posY = 285, needAdapt = false, des = LanUtil.getValue(304022) };
	Lua_WindowUtil.openWin("Lua_InstructionTipsWindow", Lua_WinParam.ACTION_OPEN, tipsData);
end




















Lua_InfinityHallMySupportItem = class("Lua_InfinityHallMySupportItem", Lua_ListCell);
function Lua_InfinityHallMySupportItem:ctor(p)
	self:superCall("ctor", p, "InfinityHallMySupportItem_skin");
end

function Lua_InfinityHallMySupportItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemIcon = Lua_ItemIcon.new(self.content);
	self.itemIcon:setLocation(-235, 0, 0);

	self.btnUse:addClickFuntion(self, self.onBtnUseClick);
end

function Lua_InfinityHallMySupportItem:dispose()
	if self.itemIcon ~= nil then
		self.itemIcon:dispose();
		self.itemIcon = nil;
	end
	self.heroVo = nil;
	self.data = nil;
	self:superCall("dispose");
end

function Lua_InfinityHallMySupportItem:setData(data, prompt)
	self.data = data;
	if data == nil then
		return;
	end

	self.heroVo = DataCenter.heroData:getItemByUniqueId(data);
	self.itemIcon:setData(self.heroVo);

	self.careerIcon:setAltas("common_altas_2", "ui_common_icon_3"..self.heroVo.career + 4);
	self.careerText.text = LanUtil.formateStr(10042, self.heroVo.career_name);
	self.nameText.text = self.heroVo.name;
	self.forceText.text = LanUtil.formateStr(10039, tostring(self.heroVo.heroForce));

	if prompt == nil then
		self.btnUse:setEnable(true);
		self.promptText:setEnable(false);
	else
		self.btnUse:setEnable(false);
		self.promptText:setEnable(true);
		self.promptText.text = prompt;
	end
end

function Lua_InfinityHallMySupportItem:onBtnUseClick(go)
	if self.data == nil then
		return;
	end
	Lua_ProxyManager.getProxy("Lua_InfinityHallProxy"):sSetSupportHero(self.data);
end