Lua_InfinityHallSupportPanel = class("Lua_InfinityHallSupportPanel", Lua_DisplayObject);
function Lua_InfinityHallSupportPanel:ctor(p)
	self:superCall("ctor", p, "InfinityHallSupportPanel_skin");
end

function Lua_InfinityHallSupportPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.promptText:setLangValue(304016);

	self:addLuaEvent("INFINITYHALL_INFO", self, self.updateShowInfo);
	self:addLuaEvent("INFINITYHALL_SURROPT_HREO", self, self.updateServerInfo);
	Lua_ProxyManager.getProxy("Lua_InfinityHallProxy"):sSupportHero();
end

function Lua_InfinityHallSupportPanel:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_InfinityHallSupportPanel:updateServerInfo(msg)
	if msg ~= nil then
		self.heroList = msg.hero_list;
		table.sort( self.heroList, 
			function(a, b) 
				if (a.state == 0 and b.state == 1) or (a.state == 1 and b.state == 0) then
					return a.state > b.state 
				end
				return a.state < b.state 
			end 
			)
	end
	self:updateShowInfo();
end

function Lua_InfinityHallSupportPanel:updateShowInfo()
	if self.heroList == nil or #self.heroList <= 0 then
		self:showNone(true)
		if self.itemList then
			self.itemList:setEnable(false);
		end
	else
		self:showNone(false)
		if self.itemList == nil then
			self.itemList = Lua_DragList.new(self.content, 622, 615, Lua_AxisDefine.Vertical);
			self.itemList:setLocation(0, -5, 0);
			self.itemList.tweenId = 2031;
			self.itemList:setListCell(Lua_InfinityHallSupportItem, 622, 141, 1);
			self.itemList:setCellSpacing(0, 5);
		end
		self.itemList:setEnable(true);
		self.itemList:setArrayData(self.heroList);
	end
end

function Lua_InfinityHallSupportPanel:showNone(bShow)
	if bShow then
		if self.noneIcon == nil then
			self.noneIcon = UICreate.createUIAtlasImage(self.content, "common_altas_3", "ui_liaotian_widget_002", 0, 0, 648, 119);
			self.noneIcon:setScale(0.85, 0.85, 0.85)

			self.noneText = UICreate.createLabel(self.content, LanUtil.getValue(304035), 0, 0, 100, 40, 30);
			self.noneText.pivot = UIUtils.Pivot.Center;
			self.noneText.fontName = Lua_MyUISettings.huakangFontName;
			self.noneText.alignmentValue = 4;
			self.noneText.horizontalOverflowValue = 1;
			self.noneText.colorStr = Lua_ColorDefine.transColorStr("9F928C");
		end
		self.noneIcon:setEnable(true);
		self.noneText:setEnable(true);
	else
		if self.noneIcon then
			self.noneIcon:setEnable(false);
			self.noneText:setEnable(false);
		end
	end
end




















Lua_InfinityHallSupportItem = class("Lua_InfinityHallSupportItem", Lua_ListCell);
function Lua_InfinityHallSupportItem:ctor(p)
	self:superCall("ctor", p, "InfinityHallSupportItem_skin");
end

function Lua_InfinityHallSupportItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemIcon = Lua_ItemIcon.new(self.content);
	self.itemIcon:setLocation(-235, 0, 0);

	self.btnUse:setEnable(false);
	self.btnUse:addClickFuntion(self, self.onBtnUseClick);
end

function Lua_InfinityHallSupportItem:dispose()
	if self.itemIcon ~= nil then
		self.itemIcon:dispose();
		self.itemIcon = nil;
	end
	self.heroVo = nil;
	self.data = nil;
	self:superCall("dispose");
end

function Lua_InfinityHallSupportItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end
	
	if self.heroVo == nil then
		self.heroVo = Lua_HeroVo.new(data.hero.hero_id);
	else
		self.heroVo:setData(data.hero.hero_id);
	end
	self.heroVo:fromServer(data.hero);
	self.itemIcon:setData(self.heroVo);

	self.careerIcon:setAltas("common_altas_2", "ui_common_icon_3"..self.heroVo.career + 4);
	self.careerText.text = "("..self.heroVo.career_name..")";
	self.nameText.text = self.heroVo.name;
	self.forceText.text = ":"..self.heroVo.heroForce;

	if data.source == 1 then
		self.sourceText.text = LanUtil.formateStr(304017, data.name);
	elseif data.source == 2 then
		self.sourceText.text = LanUtil.formateStr(304018, data.name);
	else
		self.sourceText.text = nil;
	end

	-- 状态：0可使用，1使用中，2战力超范围
	if data.state == 1 then
		self.promptText:setLangValue(304019);
		self.btnUse:setEnable(false);
	elseif data.state == 2 then
		self.promptText:setLangValue(304020);
		self.btnUse:setEnable(false);
	else
		self.promptText.text = nil;
		self.btnUse:setEnable(true);
	end
end

function Lua_InfinityHallSupportItem:onBtnUseClick(go)
	if self.data == nil then
		return;
	end
	Lua_ProxyManager.getProxy("Lua_InfinityHallProxy"):sUseSupportHero(self.data.player_id);
end